Name:       mullvad-browser-qubes
Version:    2023.07.17
Release:    5d6613
Summary:    Mullvad Browser ported to Fedora-based Qubes
BuildArch:  noarch
License:    GLPv3-or-later
URL:        https://codeberg.org/fcom/mullvad-browser-qubes
Source0:    %{name}-%{version}_%{release}.tar.xz

BuildRequires: make

Requires:   curl, xterm

%description
The Mullvad Browser is a privacy-focused web browser developed in a collaboration between Mullvad VPN and the Tor Project. It’s designed to minimize tracking and fingerprinting. You could say it’s a Tor Browser to use without the Tor Network. Instead, you can use it with a trustworthy VPN. The idea is to provide one more alternative – beside the Tor Network – to browse the internet with more privacy. To get as many people as possible to fight the big data gathering of today. To free the internet from mass surveillance.

%prep
%autosetup

%build
#nothing required

%install
mkdir -pv %{buildroot}/usr/{lib/systemd/system/,bin/,share/applications/}
install -Dm755 mvb-autoupd.sh %{buildroot}/usr/bin/mvb-autoupd.sh
install -Dm755 mullvad-browser-installer-updater.sh %{buildroot}/usr/bin/mullvad-browser-installer-updater.sh
install -Dm755 mullvad-browser %{buildroot}/usr/bin/mullvad-browser
install -Dm755 mullvad-browser.desktop %{buildroot}/usr/share/applications/mullvad-browser.desktop
install -Dm644 mvb-autoupd.service %{buildroot}/usr/lib/systemd/system/mvb-autoupd.service

%files
/usr/bin/mullvad-browser-installer-updater.sh
/usr/bin/mvb-autoupd.sh
/usr/share/applications/mullvad-browser.desktop
/usr/bin/mullvad-browser
/usr/lib/systemd/system/mvb-autoupd.service

%changelog
* Sun Jul 16 2023 Anarcoco <fedora.2pt4i@slmail.me> - 2023-07-16
* Initial setup of this spec file

